﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Mapbox.Unity.Map;
using Mapbox.Examples;

public class GameManager : MonoBehaviour
{
    public GameObject[] waypoints;
    public AbstractMap map;
    public Canvas canvas;

    private bool locked = false;
    private Vector3 offset;
    private Plane _yPlane;

    // Start is called before the first frame update
    void Start()
    {
        _yPlane = new Plane(Vector3.up, Vector3.zero);
    }

    // Update is called once per frame
    void Update()
    {
        if (Input.GetKeyDown(KeyCode.Mouse0) && locked)
        {
            Ray ray = Camera.main.ScreenPointToRay(Input.mousePosition);

            float enter = 0.0f;
            if (_yPlane.Raycast(ray, out enter))
            {
                Instantiate(waypoints[0], ray.GetPoint(enter), new Quaternion(0, 0, 0, 0));
            }
        }
    }

    // Lock la map
    public void lockMovement()
    {
        map.GetComponent<QuadTreeCameraMovement>().enabled = false;
        canvas.GetComponentInChildren<Transform>().gameObject.SetActive(false);
        locked = true;
    }
}
